<Project Sdk="Microsoft.NET.Sdk">

  <ItemGroup>
    <ProjectReference Include="..\QYZH.InteractiveMagazine.Common\QYZH.InteractiveMagazine.Common.csproj" />
    <ProjectReference Include="..\QYZH.InteractiveMagazine.IService\QYZH.InteractiveMagazine.IService.csproj" />
    <ProjectReference Include="..\QYZH.InteractiveMagazine.Models\QYZH.InteractiveMagazine.Models.csproj" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="AlibabaCloud.SDK.Dysmsapi20170525" Version="4.0.0" />
    <PackageReference Include="AlibabaCloud.SDK.Imm20200930" Version="4.6.4" />
    <PackageReference Include="AlibabaCloud.SDK.Vod20170321" Version="3.8.2" />
    <PackageReference Include="aliyun-net-sdk-sts" Version="3.1.2" />
    <PackageReference Include="Aliyun.OSS.SDK.NetCore" Version="2.14.1" />
    <PackageReference Include="Autofac" Version="9.1.0" />
    <PackageReference Include="Autofac.Extensions.DependencyInjection" Version="11.0.0" />
    <PackageReference Include="CSRedisCore" Version="3.8.807" />
    <PackageReference Include="Microsoft.AspNetCore.Authentication.JwtBearer" Version="8.0.0" />
    <PackageReference Include="RabbitMQ.Client" Version="7.2.1" />
    <PackageReference Include="Serilog.AspNetCore" Version="10.0.0" />
    <PackageReference Include="StackExchange.Redis" Version="2.13.17" />
    <PackageReference Include="System.IdentityModel.Tokens.Jwt" Version="8.18.0" />
  </ItemGroup>

  <PropertyGroup>
    <TargetFramework>net8.0</TargetFramework>
    <ImplicitUsings>enable</ImplicitUsings>
    <Nullable>enable</Nullable>
  </PropertyGroup>

</Project>
